Bug 613683 - dhclient subpackage must include a copy of license text
dhclient subpackage must include a copy of license text
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dhcp (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Popelka
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 11:04 EDT by Jiri Popelka
Modified: 2011-05-19 10:04 EDT (History)
7 users (show)

See Also:
Fixed In Version: dhcp-4.1.1-13.P1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the dhclient package was missing its LICENSE file. With this update, the file has been added.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0697 normal SHIPPED_LIVE dhcp bug fix and enhancement update 2011-05-18 14:10:16 EDT

  None (edit)
Description Jiri Popelka 2010-07-12 11:04:44 EDT
Description of problem:

LICENSE file is only included in base package, i.e. dhcp
According to Fedora Licensing Guidelines
the dhclient subpackage must also include a copy of license text.


Additional info:
http://lists.fedoraproject.org/pipermail/devel/2010-July/138487.html
http://lists.fedoraproject.org/pipermail/scm-commits/2010-July/460564.html
Comment 6 Alexander Todorov 2011-02-07 08:32:02 EST
# rpm -q dhclient
dhclient-4.1.1-16.P1.el6.x86_64

# rpm -ql dhclient
/etc/NetworkManager
/etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/10-dhclient
/etc/dhcp
/etc/dhcp/dhclient.d
/sbin/dhclient
/sbin/dhclient-script
/usr/lib64/pm-utils/sleep.d/56dhclient
/usr/share/doc/dhclient-4.1.1
/usr/share/doc/dhclient-4.1.1/LICENSE
/usr/share/doc/dhclient-4.1.1/README.dhclient.d
/usr/share/doc/dhclient-4.1.1/RELNOTES
/usr/share/doc/dhclient-4.1.1/dhclient.conf.sample
/usr/share/doc/dhclient-4.1.1/dhclient6.conf.sample
/usr/share/man/man5/dhclient.conf.5.gz
/usr/share/man/man5/dhclient.leases.5.gz
/usr/share/man/man5/dhcp-eval.5.gz
/usr/share/man/man5/dhcp-options.5.gz
/usr/share/man/man8/dhclient-script.8.gz
/usr/share/man/man8/dhclient.8.gz
/var/lib/dhclient


# head -n20 /usr/share/doc/dhclient-4.1.1/LICENSE
# Copyright (c) 2004-2010 by Internet Systems Consortium, Inc. ("ISC")
# Copyright (c) 1995-2003 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND ISC DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
#   Internet Systems Consortium, Inc.
#   950 Charter Street
#   Redwood City, CA 94063
#   <info@isc.org>
#   https://www.isc.org/


Moving to VERIFIED.
Comment 7 Tomas Capek 2011-05-10 10:28:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the dhclient package was missing its LICENSE file. With this update, the file has been added.
Comment 8 errata-xmlrpc 2011-05-19 10:04:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0697.html

Note You need to log in before you can comment on or make changes to this bug.